Bug 118083 - [CSS Shapes] New positioning model: support for inset rectangle shape-outside
Summary: [CSS Shapes] New positioning model: support for inset rectangle shape-outside
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Bem Jones-Bey
URL: http://dev.w3.org/csswg/css-shapes/#r...
Keywords:
Depends on:
Blocks: 117898
  Show dependency treegraph
 
Reported: 2013-06-26 14:37 PDT by Bem Jones-Bey
Modified: 2013-07-25 18:23 PDT (History)
1 user (show)

See Also:


Attachments
Patch (29.31 KB, patch)
2013-07-23 18:33 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (29.31 KB, patch)
2013-07-25 10:56 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff
Patch (28.87 KB, patch)
2013-07-25 16:00 PDT, Bem Jones-Bey
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bem Jones-Bey 2013-06-26 14:37:59 PDT
Add support for inset rectangle in the new model.
Comment 1 Bem Jones-Bey 2013-07-23 18:33:18 PDT
Created attachment 207366 [details]
Patch

Tests for inset rectangles
Comment 2 Dirk Schulze 2013-07-25 10:41:00 PDT
Comment on attachment 207366 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=207366&action=review

From what I can see looks good to me. rubber stamped by me.

> LayoutTests/ChangeLog:8
> +        Update inset-rectangle tests to wori wth new positioning model.

Type: wori wth
Comment 3 Dirk Schulze 2013-07-25 10:41:18 PDT
Comment on attachment 207366 [details]
Patch

sorry c-
Comment 4 Bem Jones-Bey 2013-07-25 10:56:28 PDT
Created attachment 207466 [details]
Patch

Fix typo
Comment 5 WebKit Commit Bot 2013-07-25 11:43:25 PDT
Comment on attachment 207466 [details]
Patch

Rejecting attachment 207466 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 207466, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
    -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 153335 = c4956b111b263aad206d25462b4701403d8696ac
r153336 = 6fded78ff136260a348a9a2e0734e5eb425573e2
r153337 = e9ad442dc6821b628008bcd50d8e27731a067653
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://webkit-queues.appspot.com/results/1202329
Comment 6 Bem Jones-Bey 2013-07-25 16:00:29 PDT
Created attachment 207490 [details]
Patch

rebase
Comment 7 WebKit Commit Bot 2013-07-25 18:23:00 PDT
Comment on attachment 207490 [details]
Patch

Clearing flags on attachment: 207490

Committed r153362: <http://trac.webkit.org/changeset/153362>
Comment 8 WebKit Commit Bot 2013-07-25 18:23:02 PDT
All reviewed patches have been landed.  Closing bug.